List recipients
curl --request GET \
--url https://api.fintoc.com/v2/recipients \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/recipients"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/recipients"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/recipients")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "rcp_2hQ9vBmKpR7xLtZ3sWn1fJ4dGcA",
"account_number": "000000000000000000",
"account_type": "clabe",
"alias": "Test recipient",
"created_at": "2026-03-01T12:00:00Z",
"email": "recipient@example.com",
"holder_id": "111111111",
"holder_name": "Test Customer 1",
"holder_type": "person",
"updated_at": "2026-03-01T12:00:00Z",
"object": "recipient",
"institution": {
"id": "40002",
"name": "BANAMEX",
"country": "mx"
}
}
]Recipients
List recipients
Lists recipients in your organization for the live or test mode of your API key, newest first. Filters apply in Chile and Mexico. Returns a paginated array of recipient objects. Use the Link response header to navigate pages.
GET
/
v2
/
recipients
List recipients
curl --request GET \
--url https://api.fintoc.com/v2/recipients \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/recipients"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/recipients"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/recipients")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "rcp_2hQ9vBmKpR7xLtZ3sWn1fJ4dGcA",
"account_number": "000000000000000000",
"account_type": "clabe",
"alias": "Test recipient",
"created_at": "2026-03-01T12:00:00Z",
"email": "recipient@example.com",
"holder_id": "111111111",
"holder_name": "Test Customer 1",
"holder_type": "person",
"updated_at": "2026-03-01T12:00:00Z",
"object": "recipient",
"institution": {
"id": "40002",
"name": "BANAMEX",
"country": "mx"
}
}
]Query Parameters
Response
The requested recipients.
Destination account type, in lowercase. In Mexico, inferred from account_number. Returns null when unknown. One of clabe, debit_card, mobile, vostro_account, vostro_account1, vostro_account2, vostro_account3, vostro_account4, values_custody, institution, checking_account, sight_account, and savings_account.
Available options:
clabe, debit_card, mobile, vostro_account, vostro_account1, vostro_account2, vostro_account3, vostro_account4, values_custody, institution, checking_account, sight_account, savings_account, null Example:
"clabe"
Was this page helpful?